Skip to main content
    Ivy Biosciences Docs/Call the platform/API/Reference/Reference/Execution/GET /harness/sessions/{sessionId}/events

    GET /harness/sessions/{sessionId}/events

    Stream session events (SSE)

    Auth: required. Send an ivy_ API key (Authorization: Bearer ivy_… or X-Ivy-Api-Key), a Clerk session JWT (Authorization: Bearer …) or the Clerk __session cookie (browser sessions). See Authentication.

    Subscribe to a real-time Server-Sent Events stream for all events emitted during an active session execution.

    Request

    Path parameters

    sessionIdstring (uuid)

    Session UUID (UUIDv7 — time-ordered)

    Query parameters

    frominteger

    Resume stream from this event sequence number

    Responses

    200 OK

    SSE stream opened

    401 Unauthorized

    Authentication required

    Response shape: object

    404 Not Found

    Resource not found

    Response shape: object

    curl -X GET 'https://ivybiosciences.com/api/harness/sessions/{sessionId}/events' \
      -H "Authorization: Bearer $IVY_API_KEY"

    Was this page helpful?

    Loading...